Subject: [quicwg/base-drafts] Transport parameters, hex vs decimal (#1849)

From: Lars Eggert <[email-masked]>
Date: Wed, 10 Oct 2018 14:04:07 +0000 (UTC)

The transport parameters are described with decimal values in Section 6.6 but listed in hexadecimal in Table 7. Suggest to be consistent. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1849

---

From: Lucas Pardue <[email-masked]>
Date: Wed, 10 Oct 2018 08:48:36 -0700

Would it be more accurate to say that decimal values are used in Figure 10 while hexadecimal values are used in Table 7?

Section 6.6.1 actually described the transport parameters with Hex values. It was my assumption that the decimal formatting in Figure 10 stems from the statement

> The format of the transport parameters is the TransportParameters
   struct from Figure 10.  This is described using the presentation
   language from Section 3 of [TLS13].

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1849#issuecomment-428625511

---

From: janaiyengar <[email-masked]>
Date: Wed, 10 Oct 2018 16:44:06 -0700

@LPardue is right: we've tried to use hex everywhere in the draft, but Figure 10 uses the representation specified in RFC 8446. To be consistent between those two, we'd give up consistency in the rest of the draft.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1849#issuecomment-428769409

---

From: Lars Eggert <[email-masked]>
Date: Wed, 10 Oct 2018 23:22:53 -0700

Closed #1849.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1849#event-1897301537

---

From: Lars Eggert <[email-masked]>
Date: Wed, 10 Oct 2018 23:22:52 -0700

OK. One suggestion might be to use decimal in Fig 10 and put the hex values into a comment or something

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1849#issuecomment-428835184